TONTONDocs
TON CenterAPI referenceConfiguration

Get config parameter

Return a specific blockchain configuration parameter.

GET
/api/v2/getConfigParam

Query Parameters

config_id*integer

Parameter number

Formatint32
seqno?integer

Block seqno

Formatint32

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/getConfigParam?config_id=0"
{
  "ok": true,
  "result": {
    "@type": "configInfo",
    "config": {
      "@type": "tvm.cell",
      "bytes": "string"
    }
  },
  "@extra": "string"
}
{
  "ok": false,
  "code": 401,
  "error": "API key does not exist"
}
{
  "ok": false,
  "code": 403,
  "error": "Network not allowed"
}
{
  "ok": false,
  "code": 422,
  "error": "failed to parse config_id"
}
{
  "ok": false,
  "code": 429,
  "error": "Ratelimit exceeded"
}
{
  "ok": false,
  "code": 504,
  "error": "LITE_SERVER_NETWORK timeout"
}

Last updated on

On this page

No Headings